# Class Validation

java.lang.Object
org.apache.el.util.Validation

public class Validation extends Object
Utility class for validation operations related to EL identifiers.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isIdentifier(String key)`
Test whether a string is a Java identifier.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isIdentifier

public static boolean isIdentifier(String key)
Test whether a string is a Java identifier. Note that the behaviour of this method depend on the system property `org.apache.el.parser.SKIP_IDENTIFIER_CHECK`

Parameters:
  `key` - The string to test
Returns:
  `true` if the provided String should be treated as a Java identifier, otherwise false